Page MenuHomePhabricator

Update puppet for new Kafka cluster and version
Closed, ResolvedPublic13 Estimated Story Points

Event Timeline

Ottomata created this task.May 23 2017, 5:58 PM

Change 355259 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Update kafka.sh wrapper script for Kafka 0.10

https://gerrit.wikimedia.org/r/355259

Nuria edited projects, added Analytics-Kanban; removed Analytics.May 25 2017, 4:19 PM

Change 355796 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] [WIP] Puppetize TLS encryption and auth for Kafka

https://gerrit.wikimedia.org/r/355796

Change 356232 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] [WIP] profile for 'broad' (name TBD) Kafka cluster

https://gerrit.wikimedia.org/r/356232

Ottomata set the point value for this task to 8.

Change 369700 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Add kafka broker profiles for new jumbo and simple clusters

https://gerrit.wikimedia.org/r/369700

Change 355796 abandoned by Ottomata:
Puppetize TLS encryption and auth for Kafka in confluent module

Reason:
abandoned in favor of https://gerrit.wikimedia.org/r/#/c/356232/

https://gerrit.wikimedia.org/r/355796

Change 356232 merged by Ottomata:
[operations/puppet@production] Modify confluent module to support listeners, ssl, and rack

https://gerrit.wikimedia.org/r/356232

Change 369704 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Move listeners up in config file - no op

https://gerrit.wikimedia.org/r/369704

Change 369704 merged by Ottomata:
[operations/puppet@production] Move listeners up in config file - no op

https://gerrit.wikimedia.org/r/369704

Change 369700 merged by Ottomata:
[operations/puppet@production] Add kafka broker profiles for new jumbo and simple clusters

https://gerrit.wikimedia.org/r/369700

Change 369713 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Add (unused) ssl params in confluent::kafka::broker

https://gerrit.wikimedia.org/r/369713

Change 369713 merged by Ottomata:
[operations/puppet@production] Add (unused) ssl params in confluent::kafka::broker

https://gerrit.wikimedia.org/r/369713

Change 369719 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Use 0.11 version in kafka broker profile

https://gerrit.wikimedia.org/r/369719

Change 369719 merged by Ottomata:
[operations/puppet@production] Use 0.11 version in kafka broker profile

https://gerrit.wikimedia.org/r/369719

Change 369724 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Update kafka server.properties to work with defaults

https://gerrit.wikimedia.org/r/369724

Change 369724 merged by Ottomata:
[operations/puppet@production] Update kafka server.properties to work with defaults

https://gerrit.wikimedia.org/r/369724

Change 369727 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Manage /srv/kafka to be nice in profile, don't render zk settings if undef

https://gerrit.wikimedia.org/r/369727

Change 369727 merged by Ottomata:
[operations/puppet@production] Manage /srv/kafka to be nice in profile, don't render zk settings if undef

https://gerrit.wikimedia.org/r/369727

Change 369728 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Specify librkafka version in Stretch (so kafkacat installs properly)

https://gerrit.wikimedia.org/r/369728

Change 369728 merged by Ottomata:
[operations/puppet@production] Specify librkafka version in Stretch (so kafkacat installs properly)

https://gerrit.wikimedia.org/r/369728

Change 369733 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Make sure librdkafka1 is installed before kafkacat

https://gerrit.wikimedia.org/r/369733

Change 369733 merged by Ottomata:
[operations/puppet@production] Make sure librdkafka1 is installed before kafkacat

https://gerrit.wikimedia.org/r/369733

Change 369745 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Circumvent kafkcat circular dependnecy on librdkafka1

https://gerrit.wikimedia.org/r/369745

Change 369745 merged by Ottomata:
[operations/puppet@production] Circumvent kafkcat circular dependnecy on librdkafka1

https://gerrit.wikimedia.org/r/369745

Allriiight! Doing good! I've applied role::kafka::jumbo::broker in labs to 3 nodes (kafka4-*).

Ottomata changed the point value for this task from 8 to 13.Aug 2 2017, 9:20 PM
Nuria moved this task from In Code Review to Done on the Analytics-Kanban board.Aug 10 2017, 3:08 PM
Nuria closed this task as Resolved.Sep 12 2017, 8:46 PM